Summary:	sipcalc - an "advanced" console based ip subnet calculator
Name:		sipcalc
Version:	1.1.1
Release:	1
License:	GPL
Group:		Applications/Internet
Source0:	http://www.routemeister.net/projects/sipcalc/files/sipcalc-1.1.1.tar.gz
URL:		http://www.routemeister.net/projects/sipcalc/
Buildroot:	%{_tmppath}/%{name}-%{version}-%(id -u -n)
Packager:	Riku Meskanen <mesrik@cc.jyu.fi>

%description
Sipcalc is an advanced console-based IP subnet calculator. It can take 
multiple forms of input (IPv4/IPv6/interface/hostname) and output a 
multitude of information about a given subnet.

%prep
%setup -q

%build
%configure \
	--prefix=/usr

make

%install
[ "$RPM_BUILD_ROOT" != "/" ] && rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT
gzip -9 doc/*.1
mkdir -p ${RPM_BUILD_ROOT}%{_bindir} ${RPM_BUILD_ROOT}%{_mandir}/man1
install -s -o root -g root -m 755 src/sipcalc ${RPM_BUILD_ROOT}%{_bindir}
install -o root -g root -m 644 doc/sipcalc.1.gz ${RPM_BUILD_ROOT}%{_mandir}/man1

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README COPYING TODO INSTALL AUTHORS ChangeLog doc/*.txt
%attr(755,root,root) %{_bindir}/sipcalc
%{_mandir}/man1/*

%changelog
* Sat May 25 2002 Riku Meskanen <mesrik@cc.jyu.fi>
- Initial build for Red Hat 7.3 version

